<?php

declare(strict_types=1);
namespace Geeks4Change\GeekyDeploy\FileContent\Yaml;

use Symfony\Component\Yaml\Yaml;

final class YamlContent implements YamlContentInterface {

  private function __construct(
    private readonly array $data,
  ) {}

  public static function create(array $data): self {
    return new self($data);
  }

  public function getData(): mixed {
    return $this->data;
  }

  public function getContent(): string {
    return "# Generated by GeekyDeploy.\n" .
      Yaml::dump($this->getData(), 999, 2);
  }

}
